> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-ignite/changelog.md).

# Changelog

## DTIS SDK Change Log

{% updates format="full" %}
{% update date="2026-09-28" %}

## Version 4.3.0

**Improvements:**

* The Client ID is now required when initializing the SDK. To initialize the SDK, use the following code snippet:

```kotlin
IgniteServiceSdk.init(context, clientId, clientSecret)
```

* Initializing the SDK with an empty or blank Client ID now fails immediately with an `IllegalArgumentException` and a clear error message.

**Deprecated:**

* Deprecated the `init()` method that allowed omission of the Client ID.
* The SDK no longer reads the Client ID from the `com.digitalturbine.ignite.aidl.CLIENT_ID` metadata in your `AndroidManifest.xml` file.

{% hint style="warning" %}
If you rely on the `AndroidManifest.xml` metadata to provide the Client ID, update your `init()` call to pass the Client ID directly:

```kotlin
// Before (deprecated)
IgniteServiceSdk.init(context, clientSecret = "your-secret")
```

```kotlin
// After (required)
IgniteServiceSdk.init(context, clientId = "your-client-id", clientSecret = "your-secret")
```

{% endhint %}

* Deprecated the `NoClientIdInManifestException` class.
  {% endupdate %}

{% update date="2026-09-03" %}

## Version 4.2.0

**Improvements:**

* Removed the device idle requirement for Host App Auto Updates. Auto Updates now only require the device to be charging and connected to Wi-Fi.
  {% endupdate %}

{% update date="2025-12-10" %}

## Version 4.1.4

**Fixed:**

* Fixed issue that caused the SDK to crash when the Host App did not pass credentials.
  {% endupdate %}

{% update date="2025-05-13" %}

## Version 4.1

**Improvements:**

* Added support for retrieving Target App metadata (description, title, screenshots, permissions, etc.).
* Added support for dynamic client ID.
* Added support for Android 15 targeting.

**Fixed:**

* Fixed issue encountered when attempting to auto-update when there is no network connection.
  {% endupdate %}

{% update date="2024-10-28" %}

## Version 4.0

**Improvements:**

* Added support for Direct Attribution. For more information, see [Send MMP Attribution](/dt-ignite/sdk-reference/send-mmp-attribution.md).
  {% endupdate %}

{% update date="2024-03-06" %}

## Version 3.1

**Fixes:**

* Fixed Android 14 compatibility issue to prevent crashing.
  {% endupdate %}

{% update date="2024-01-31" %}

## Version 3.0

**Fixes:**

* Various stability fixes and improvements.
  {% endupdate %}

{% update date="2023-10-31" %}

## Version 2.0

**Improvements:**

* Added support for Multiple APK versions for Installs and Auto Updates based on additional parameters on the request.
* Install source of an App is determined before auto-updating.
* Added additional events for SDK autoupdates for better tracking.
  {% endupdate %}

{% update date="2023-07-20" %}

## Version 1.2.1

**Improvements:**

* Added onSchedule confirmation for all target apps queued for installation.
  {% endupdate %}

{% update date="2023-03-21" %}

## Version 1.1.0

**Improvements:**

* Host App Auto Updates introduced in this version. A Host App that has the SDK integrated can leverage the auto-update feature to self update. For more information, see [Auto Update App](/dt-ignite/use-cases/automatically-updating-the-host-app.md).
  {% endupdate %}
  {% endupdates %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digitalturbine.com/dt-ignite/changelog.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
